<?php
/* 
Plugin Name: Related Links Blender
Plugin URI: http://wordpress.org/extend/plugins/related-links-blender/
Description: This plugin appends some author chosen replated links to page or post content
Author: Blender 
Version: 0.3 
Author URI: http://blender.ca/wordpress-plugin-related-links/
*/  


/**
 * Define some useful constants
 **/
define('RLB_VERSION', '0.2');
define('RLB_DIR', plugin_dir_path(__FILE__));
define('RLB_URL', plugin_dir_url(__FILE__));



/**
 * Load files
 * 
 **/
function RLB_load(){
		
    if(is_admin()) { //load admin files only in admin
        require_once(RLB_DIR.'includes/admin.php');
	}
        
    require_once(RLB_DIR.'includes/core.php');

}

RLB_load();



/**
 * Activation, Deactivation and Uninstall Functions
 * 
 **/
register_activation_hook(__FILE__, 'RLB_activation');
register_deactivation_hook(__FILE__, 'RLB_deactivation');


function RLB_activation() {
    
	//actions to perform once on plugin activation go here    
	rlb_plugin_options_activation_initialize();
	
    //register uninstaller
    register_uninstall_hook(__FILE__, 'RLB_uninstall');
}

function RLB_deactivation() {
    
	// actions to perform once on plugin deactivation go here
	//delete_option('rlb_plugin_options');    
}

function RLB_uninstall(){
    
    //actions to perform once on plugin uninstall go here
	delete_option('rlb_plugin_options');    
    
}


?>